Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


New adobe products...will they work in my old mac?

Community Beginner ,
Nov 16, 2020 Nov 16, 2020

Copy link to clipboard

Copied

Hi everyone,

I have a Mac mini (Late 2012) with the following:

Processor 2.6 GHz Intel Core i7

Memory 16 GB 1600 MHz DDR3

Graphics  Intel HD Graphics 4000 1536 MB

Would you please advise if the new Adobe products (advertised in the Adobe Max conference) will work in my "senior" mini?

Many thanks in advance,

Teresa Pereira

TOPICS
Activation, Creative Cloud, Feature request

Views

122

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 16, 2020 Nov 16, 2020

Copy link to clipboard

Copied

See the following webpage for links to the system requirements of all the applications in Creative Cloud. If your MAC is eligible to install MAC OS 10.14 then you should be ok for most of these applications.

https://helpx.adobe.com/creative-cloud/system-requirements.html

-Manan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 16, 2020 Nov 16, 2020

Copy link to clipboard

Copied

You left out the most important thing: what Mac OS version? Let us know if you need help finding out. 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Nov 19, 2020 Nov 19, 2020

Copy link to clipboard

Copied

macOS Mojave

Version10.14.6 (18G6020)

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 19, 2020 Nov 19, 2020

Copy link to clipboard

Copied

Yes they should, I have my MAC on the same version of OS and the latest versions of PS, Illustrator and InDesign installed perfectly for me and work fine

-Manan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Nov 20, 2020 Nov 20, 2020

Copy link to clipboard

Copied

LATEST

thank you.

Teresa

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines